std::hash< int > Struct Template Reference
Utilities » Function Objects » Hashes

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (int __val) const noexcept

## Detailed Description

### template<>
struct std::hash< int >

Explicit specialization for int.

Definition at line 132 of file functional_hash.h.

The documentation for this struct was generated from the following file:

- functional_hash.h